// Starsiege Radio Quickchats
// by Com. Sentinal [M.I.B.]
//-------------------------------------------------------------------------
// Features music by such artists as Blink 182, Third Eye Blind,
// Three Doors Down, Smashmouth, Will Smith, Eminem, and much more.
// Also includes campaign cybrid taunts
// and the ability to change your Starsiege CD tracks in-game.
//-------------------------------------------------------------------------
// NOTE: Other players must have these quickchats as well in order to
// hear your music and taunts.
//-------------------------------------------------------------------------

$chatType = "Main";
$MusicReady = true;

function toggleChatType(%theType)
{
  $chatType = %theType;
  echo($chatType);
}
newActionMap( gameActions );

bind(keyboard0, make, shift, "f1", TO, "toggleChatType(\"MaleDM\");");
bind(keyboard0, make, shift, "f2", TO, "toggleChatType(\"MaleCTF\");");
bind(keyboard0, make, shift, "f3", TO, "toggleChatType(\"MaleWAR\");");
bind(keyboard0, make, shift, "f4", TO, "toggleChatType(\"MaleGeneric\");");
bind(keyboard0, make, shift, "f5", TO, "toggleChatType(\"Main\");");
bind(keyboard0, make, shift, "f6", TO, "toggleChatType(\"Koke-Everybody\");");
bind(keyboard0, make, shift, "f7", TO, "toggleChatType(\"Koke-Target\");");
bind(keyboard0, make, shift, "f8", TO, "toggleChatType(\"PD1\");");
bind(keyboard0, make, shift, "f9", TO, "toggleChatType(\"PD2\");");
bind(keyboard0, make, shift, "f11", TO, "toggleChatType(\"PD3\");");
bind(keyboard0, make, shift, "8", TO, "toggleChatType(\"Raven\");");
bind(keyboard0, make, shift, "`", TO, "toggleChatType(\"Commands2\");");


//------------------------------------------------------------------------------        

function InitQuickChat()        
{       
   newObject( TauntsVol, SimVolume, "Taunts.vol" );

   // These are needed to hear the new .wav's
   newObject( SSRadio, SimVolume, "SS_Radio.vol" );         // Starsiege Radio Music
   newObject( sm_CBlue, SimVolume, "sm_CBlue.vol" );        // <Corinthian\\Blue>
   newObject( sm_EOH, SimVolume, "sm_EOH.vol" );            // <Eats-Only-Heads>
   newObject( sm_CY1, SimVolume, "sm_CY1.vol" );            // Generic Cybrid #1
   newObject( sm_CY3, SimVolume, "sm_CY3.vol" );            // Generic Cybrid #3
   newObject( sm_Tyranny, SimVolume, "sm_Tyranny.vol" );    // Tyranny
   newObject( sm_Unrelent, SimVolume, "sm_Unrelent.vol" );  // Unrelent
}       

//------------------------------------------------------------------------------        

function QuickChat1()
{
  if ($chatType == "MaleDM")
  {
     if($musicReady == true)
     {
        $MusicReady = false;
        cdAudioFadeStop();
        say("Everybody", 9, "3 Doors Down - \"Kryptonite\"", "ThreeDoors.wav");
        schedule("resetMusic();",50);
     }
  }
  else if ($chatType == "MaleCTF")
  {
     if($musicReady == true)
     {
        $MusicReady = false;
        cdAudioFadeStop();
        say("Everybody", 9, "Chumbawamba - \"Tubthumping\"", "chumba.wav");
        schedule("resetMusic();",28);
     }
  }
  else if ($chatType == "MaleWAR")
  {
     if($musicReady == true)
     {        
        say("Everybody", 9, "Starsiege CD Track - \"YouGot\"");
        cdAudioCycle("Yougot");
     }
  }
  else if ($chatType == "MaleGeneric") Say("Everybody", 3, "Acknowledge//submit: <<Unit> you are off-course//inefficient, reassess decision string immediately.", "CYB_NEX01.wav");
  else if ($chatType == "Main") Say("Everybody", 1, "Ballistic weapons system empty.", "SM_CBlue_AM2.wav");
  else if ($chatType == "Koke-Everybody") Say("Everybody", 1, "Understood, <<Alpha>.", "SM_CBlue_GN2.wav");
  else if ($chatType == "Koke-Target") Say("Everybody", 1, "Sensors show movement, <<Alpha>.", "SM_CBlue_TS1.wav");
  else if ($chatType == "PD1") Say("Everybody", 1, "Faulty weapons system: /replace/", "SM_EOH_FU2.wav");
  else if ($chatType == "PD2") Say("Everybody", 1, "<>/Execute/ core directive.", "SM_CY3_GC2.wav");
  else if ($chatType == "Raven") Say("Everybody",1,"Eliminate human//animals.","C4_eliminateanimals.WAV");
  else if ($chatType == "Commands2") Say("Everybody",1,"I am NOT a human\\\\animal.","SM_Unrelent_FU1.WAV");
  else Say("Everybody",1,"War is stupid.","ee_pd37.WAV");
}

function QuickChat2()
{
  if ($chatType == "MaleDM")
  {
     if($musicReady == true)
     {
        $MusicReady = false;
        cdAudioFadeStop();
        say("Everybody", 9, "Third Eye Blind - \"Semi-Charmed Life\"", "ThirdEye1.wav");
        schedule("resetMusic();",32);
     }
  }
  else if ($chatType == "MaleCTF")
  {
     if($musicReady == true)
     {
        $MusicReady = false;
        cdAudioFadeStop();
        say("Everybody", 9, "Goo Goo Dolls - \"Slide\"", "googoo.wav");
        schedule("resetMusic();",46);
     }
  }
  else if ($chatType == "MaleWAR")
  {
     if($musicReady == true)
     {        
        say("Everybody", 9, "Starsiege CD Track - \"NewTech\"");
        cdAudioCycle("NewTech");
     }
  }
  else if ($chatType == "MaleGeneric") Say("Everybody",3,"WARNING: Inefficient, <<unit> you have departed from the mission\\\\area. Mission is terminated. Report//submit to <<redactors-of-programming>.","CYB_NEX02.wav");
  else if ($chatType == "Main") Say("Everybody",1,"Targeting <<enemy>.","SM_CBlue_AT2.WAV");
  else if ($chatType == "Koke-Everybody") Say("Everybody",1,"Naturally.","SM_CBlue_GN4.wav");
  else if ($chatType == "Koke-Target") Say("Everybody",1,"Warform damaged.","SM_CBlue_VB1.wav");
  else if ($chatType == "PD1") Say("Everybody",1,"Warform integrity compromised.","SM_EOH_VB2.WAV");
  else if ($chatType == "PD2") Say("Everybody",1,"Destroying human\\\\animals.","SM_CY3_AT2.wav");
  else if ($chatType == "Raven") Say("Everybody",1,"Commencing attack.","SM_Unrelent_AT1.WAV");
  else if ($chatType == "Commands2") Say("Everybody",1,"Cease immediately.","SM_Unrelent_FU2.wav");
  else Say("Everybody",1,"Luggage Detected!","ee_pd38.WAV");
}

function QuickChat3()
{
  if ($chatType == "MaleDM")
  {
     if($musicReady == true)
     {
        $MusicReady = false;
        cdAudioFadeStop();
        say("Everybody", 9, "Third Eye Blind - \"1000 Julys\"", "ThirdEye2.wav");
        schedule("resetMusic();",62);
     }
  }
  else if ($chatType == "MaleCTF")
  {
     if($musicReady == true)
     {
        $MusicReady = false;
        cdAudioFadeStop();
        say("Everybody", 9, "Matchbox 20 - \"Long Day\"", "matchbox.wav");
        schedule("resetMusic();",63);
     }
  }
  else if ($chatType == "MaleWAR")
  {
     if($musicReady == true)
     {        
        say("Everybody", 9, "Starsiege CD Track - \"CloudBurst\"");
        cdAudioCycle("CloudBurst");
     }
  }
  else if ($chatType == "MaleGeneric") Say("Everybody",3,"Understood, secure landing\\\\zone confirmed//acknowledged.", "CYB_NEX03.WAV");
  else if ($chatType == "Main") Say("Everybody",1,"<<Corinthian\\\\Blue> arrived at waypoint.","SM_CBlue_AW1.WAV");
  else if ($chatType == "Koke-Everybody") Say("Everybody",1,"Accelerating to waypoint.","SM_CBlue_GO2.WAV");
  else if ($chatType == "Koke-Target") Say("Everybody",1,"Warform inactive.","SM_CBlue_VD1.wav");
  else if ($chatType == "PD1") Say("Everybody",1,"<<My> warform is damaged//hit.","SM_EOH_VB1.WAV");
  else if ($chatType == "PD2") Say("Everybody",1,"<<Target> not identified.","SM_CY3_WT1.WAV");
  else if ($chatType == "Raven") Say("Everybody",1,"Firing as directed.","SM_Unrelent_AT2.wav");
  else if ($chatType == "Commands2") Say("Everybody",1,"Humans are evil. Destroy them.","SM_Unrelent_GC4.WAV");
  else Say("Everybody",1,"Hot! Oww oww!","ee_pd39.WAV");
}

function QuickChat4()
{
  if ($chatType == "MaleDM")
  {
     if($musicReady == true)
     {
        $MusicReady = false;
        cdAudioFadeStop();
        say("Everybody", 9, "Third Eye Blind - \"How's It Gonna Be?\"", "ThirdEye3.wav");
        schedule("resetMusic();",44);
     }
  }
  else if ($chatType == "MaleCTF")
  {
     if($musicReady == true)
     {
        $MusicReady = false;
        cdAudioFadeStop();
        say("Everybody", 9, "Will Smith - \"Men In Black\"", "meninblack.wav");
        schedule("resetMusic();",31);
     }
  }
  else if ($chatType == "MaleWAR")
  {
     if($musicReady == true)
     {        
        say("Everybody", 9, "Starsiege CD Track - \"Gnash\"");
        cdAudioCycle("Gnash");
     }
  }
  else if ($chatType == "MaleGeneric") Say("Everybody",3,"Program\\\\task completed, praise <<Giver-Of-Will>.","CYB_NEX04.WAV");
  else if ($chatType == "Main") Say("Everybody",1,"Forming on your vector.","SM_CBlue_FM2.wav");
  else if ($chatType == "Koke-Everybody") Say("Everybody",1,"<<I> am injured//damaged.","SM_CBlue_HT1.WAV");
  else if ($chatType == "Koke-Target") Say("Everybody",1,"Warform mobility: zero.","SM_CBlue_VD2.wav");
  else if ($chatType == "PD1") Say("Everybody",1,"Forming on <<your> position.","SM_EOH_FM2.WAV");
  else if ($chatType == "PD2") Say("Everybody",1,"Order recieved.","SM_CY3_GN2.WAV");
  else if ($chatType == "Raven") Say("Everybody",1,"Initiating termination sweep.","SM_Tyranny_FW1.wav");
  else if ($chatType == "Commands2") Say("Everybody",1,"Defensive mode on.","SM_Unrelent_GD1.wav");
  else Say("Everybody",1,"Anyone seen my sensor pod?","ee_pd40.WAV");
}

function QuickChat5()
{
  if ($chatType == "MaleDM")
  {
     if($musicReady == true)
     {
        $MusicReady = false;
        cdAudioFadeStop();
        say("Everybody", 9, "Blink 182 - \"What's My Age Again?\"", "Blink1.wav");
        schedule("resetMusic();",48);
     }
  }
  else if ($chatType == "MaleCTF")
  {
     if($musicReady == true)
     {
        $MusicReady = false;
        cdAudioFadeStop();
        say("Everybody", 9, "Nine Days - \"Absolutely\"", "ninedays.wav");
        schedule("resetMusic();",43);
     }
  }
  else if ($chatType == "MaleWAR")
  {
     if($musicReady == true)
     {        
        say("Everybody", 9, "Starsiege CD Track - \"Purge\"");
        cdAudioCycle("Purge");
     }
  }
  else if ($chatType == "MaleGeneric") Say("Everybody",3,"Artillery\\\\warforms functional//loaded. Awaiting targeting coordinates.","CYB_NEX05.WAV");
  else if ($chatType == "Main") Say("Everybody",1,"Inefficient. You shot another <<unit>.","SM_CBlue_FU1.wav");
  else if ($chatType == "Koke-Everybody") Say("Everybody",1,"Withholding fire.","SM_CBlue_RE1.WAV");
  else if ($chatType == "Koke-Target") Say("Everybody",1,"Clarify target, <<Alpha>.","SM_CBlue_WT1.wav");
  else if ($chatType == "PD1") Say("Everybody",1,"This warform is immobilized.","SM_CY1_VD2.WAV");
  else if ($chatType == "PD2") Say("Everybody",1,"Awaiting input, <<Alpha>.","SM_CY3_CR2.WAV");
  else if ($chatType == "Raven") Say("Everybody",1,"Alert: Note inefficiency of targeting <<unit>.","SM_Tyranny_FU1.wav");
  else if ($chatType == "Commands2") Say("Everybody",1,"Weapon systems inactive.","SM_Unrelent_HF1.wav");
  else Say("Everybody",1,"Happiness is a bunch of smokin human steaks.","ee_pd43.WAV");
}

function QuickChat6()
{
  if ($chatType == "MaleDM")
  {
     if($musicReady == true)
     {
        $MusicReady = false;
        cdAudioFadeStop();
        say("Everybody", 9, "Blink 182 - \"All The Small Things\"", "Blink2.wav");
        schedule("resetMusic();",59);
     }
  }
  else if ($chatType == "MaleCTF")
  {
     if($musicReady == true)
     {
        $MusicReady = false;
        cdAudioFadeStop();
        say("Everybody", 9, "Smash Mouth - \"All Star\"", "smash.wav");
        schedule("resetMusic();",56);
     }
  }
  else if ($chatType == "MaleWAR")
  {
     if($musicReady == true)
     {        
        say("Everybody", 9, "Starsiege CD Track - \"Mechsoul\"");
        cdAudioCycle("Mechsoul");
     }
  }
  else if ($chatType == "MaleGeneric") Say("Everybody",3,"WARNING: Human\\\\animal warforms detected on attack vector.","CYB_NEX06.WAV");
  else if ($chatType == "Main") Say("Everybody",1,"Do not underestimate <<animal\\\\kind>. ","SM_CBlue_GC2.wav");
  else if ($chatType == "Koke-Everybody") Say("Everybody",1,"Executing retreat now.","SM_CBlue_RE2.WAV");
  else if ($chatType == "Koke-Target") Say("Everybody",1,"Attacking.","SM_EOH_AT1.wav");
  else if ($chatType == "PD1") Say("Everybody",1,"Ammunition is gone.","SM_CY1_AM1.WAV");
  else if ($chatType == "PD2") Say("Everybody",1,"Attacking human\\\\vermin.","SM_Tyranny_AT1.WAV");
  else if ($chatType == "Raven") Say("Everybody",1,"<<Unrelent> reporting from designated waypoint.","SM_Unrelent_AW1.wav");
  else if ($chatType == "Commands2") Say("Everybody",1,"Target destroyed.","SM_Unrelent_TD1.wav");
  else Say("Everybody",1,"Area wipe Initiated","ee_pd42.WAV");
}

function QuickChat7()
{
  if ($chatType == "MaleDM")
  {
     if($musicReady == true)
     {
        $MusicReady = false;
        cdAudioFadeStop();
        say("Everybody", 9, "Blink 182 - \"Don't Leave Me\"", "Blink3.wav");
        schedule("resetMusic();",41);
     }
  }
  else if ($chatType == "MaleCTF")
  {
     if($musicReady == true)
     {
        $MusicReady = false;
        cdAudioFadeStop();
        say("Everybody", 9, "Sugar Ray - \"Personal Space Invader\"", "sugarray.wav");
        schedule("resetMusic();",61);
     }
  }
  else if ($chatType == "MaleWAR")
  {
     if($musicReady == true)
     {
        cdAudioCycle("Cyberntx");        
        say("Everybody", 9, "Starsiege CD Track - \"Cyberntx\"");
     }
  }
  else if ($chatType == "MaleGeneric") Say("Everybody",3,"New mission objective: Attend//open//submit.","CYB_NEX07.WAV");
  else if ($chatType == "Main") Say("Everybody",1,"Why not bombard from orbit?","SM_CBlue_GC3.WAV");
  else if ($chatType == "Koke-Everybody") Say("Everybody",1,"Human\\\\animal target eliminated.","SM_CBlue_TD1.WAV");
  else if ($chatType == "Koke-Target") Say("Everybody",1,"Target unsalvageable.","SM_EOH_TD1.wav");
  else if ($chatType == "PD1") Say("Everybody",1,"Eliminate human\\\\animals.","SM_CY1_GC3.WAV");
  else if ($chatType == "PD2") Say("Everybody",1,"Note: persistant power\\\\feed problem.","SM_Tyranny_GC2.WAV");
  else if ($chatType == "Raven") Say("Everybody",1,"The Core Directive is all.","SM_Unrelent_CC2.wav");
  else if ($chatType == "Commands2") Say("Everybody",1,"Target eliminated.","SM_Unrelent_TD2.wav");
  else Say("Everybody",1,"We've got a base.","ee_pd08.WAV");
}

function QuickChat8()
{
  if ($chatType == "MaleDM")
  {
     if($musicReady == true)
     {
        $MusicReady = false;
        cdAudioFadeStop();
        say("Everybody", 9, "Blink 182 - \"Anthem\"", "Blink4.wav");
        schedule("resetMusic();",56);
     }
  }
  else if ($chatType == "MaleCTF")
  {
     if($musicReady == true)
     {
        $MusicReady = false;
        cdAudioFadeStop();
        say("Everybody", 9, "Eminem - \"The Real Slim Shady\"", "Eminem.wav");
        schedule("resetMusic();",14);
     }
  }
  else if ($chatType == "MaleWAR")
  {
     if($musicReady == true)
     {        
        say("Everybody", 9, "Starsiege CD Track - \"Terror\"");
        cdAudioCycle("Terror");
     }
  }
  else if ($chatType == "MaleGeneric") Say("Everybody",3,"Proceed to <<nav 001>.","CYB_NEX08.WAV");
  else if ($chatType == "Main") Say("Everybody",1,"Flexor realignment initiated.","SM_CBlue_GC4.WAV");
  else if ($chatType == "Koke-Everybody") Say("Everybody",1,"Fall down//go boom.","SM_CBlue_TD2.wav");
  else if ($chatType == "Koke-Target") Say("Everybody",1,"<<I> am out of ballistic projectiles.","SM_EOH_AM2.wav");
  else if ($chatType == "PD1") Say("Everybody",1,"<<Unit> reporting, navigation complete.","SM_CY1_AW1.WAV");
  else if ($chatType == "PD2") Say("Everybody",1,"No humans detected.","SM_Tyranny_GC4.WAV");
  else if ($chatType == "Raven") Say("Everybody",1,"Lock! Lock! Lock!","SM_Unrelent_CC1.WAV");
  else if ($chatType == "Commands2") Say("Everybody",1,"Request assistance.","SM_Unrelent_VB2.WAV");
  else Say("Everybody",1,"I'm really sorry about that.","ee_pd20.WAV");
}

function QuickChat9()
{
  if ($chatType == "MaleDM")
  {
     if($musicReady == true)
     {
        $MusicReady = false;
        cdAudioFadeStop();
        say("Everybody", 9, "Blink 182 - \"Dammit\"", "Blink5.wav");
        schedule("resetMusic();",44);
     }
  }
  else if ($chatType == "MaleCTF")
  {
     if($musicReady == true)
     {
        $MusicReady = false;
        cdAudioFadeStop();
        say("Everybody", 9, "Barenaked Ladies - \"One Week\"", "BNL.wav");
        schedule("resetMusic();",56);
     }
  }
  else if ($chatType == "MaleWAR")
  {
     if($musicReady == true)
     {
        $MusicReady = false;
        cdAudioFadeStop();
        say("Everybody", 9, "Mortal Kombat Soundtrack - \"Reptile\"", "reptile.wav");
        schedule("resetMusic();",14);
     }
  }
  else if ($chatType == "MaleGeneric") Say("Everybody",3,"Unlimited technology from the whole universe and we cruise around in a Ford POS.","fordpos.WAV");
  else if ($chatType == "Main") Say("Everybody",1,"Acknowledging//submitting.","SM_CBlue_GN1.wav");
  else if ($chatType == "Koke-Everybody") Say("Everybody",1,"<<I> am damaged.","SM_EOH_HT1.WAV");
  else if ($chatType == "Koke-Target") Say("Everybody",1,"<>/Execute/ core directive.","SM_CY1_GC2.wav");
  else if ($chatType == "PD1") Say("Everybody",1,"Sensor sweep: negative.","SM_CY3_GC1.WAV");
  else if ($chatType == "PD2") Say("Everybody",1,"Adjusting targeting program.","SM_Tyranny_CC2.WAV");
  else if ($chatType == "Raven") Say("Everybody",1,"<<Unrelent> ready.","SM_Unrelent_CR1.WAV");
  else if ($chatType == "Commands2") Say("Everybody",1,"Destroy all humans.","SM_Unrelent_FW1.wav");
  else Say("Everybody",1,"Oh thank you.","ee_pd27.WAV");
}

function ResetMusic()
{
   $MusicReady = true;
   %random1 = randomInt(1,11);
   if(%random1 == 1)
   {
      %track1 = "Yougot";
   }
   else if(%random1 == 2)
   {
      %track1 = "NewTech";
   }
   else if(%random1 == 3)
   {
      %track1 = "CloudBurst";
   }
   else if(%random1 == 4)
   {
      %track1 = "SS4";
   }
   else if(%random1 == 5)
   {
      %track1 = "Purge";
   }
   else if(%random1 == 6)
   {
      %track1 = "Mechsoul";
   }
   else if(%random1 == 7)
   {
      %track1 = "SS3";
   }
   else if(%random1 == 8)
   {
      %track1 = "Watching";
   }
   else if(%random1 == 9)
   {
      %track1 = "Terror";
   }
   else if(%random1 == 10)
   {
      %track1 = "Gnash";
   }
   else if(%random1 == 11)
   {
      %track1 = "Cyberntx";
   }
   %random2 = randomInt(1,11);
   if(%random2 == 1)
   {
      %track2 = "Yougot";
   }
   else if(%random2 == 2)
   {
      %track2 = "NewTech";
   }
   else if(%random2 == 3)
   {
      %track2 = "CloudBurst";
   }
   else if(%random2 == 4)
   {
      %track2 = "SS4";
   }
   else if(%random2 == 5)
   {
      %track2 = "Purge";
   }
   else if(%random2 == 6)
   {
      %track2 = "Mechsoul";
   }
   else if(%random2 == 7)
   {
      %track2 = "SS3";
   }
   else if(%random2 == 8)
   {
      %track2 = "Watching";
   }
   else if(%random2 == 9)
   {
      %track2 = "Terror";
   }
   else if(%random2 == 10)
   {
      %track2 = "Gnash";
   }
   else if(%random2 == 11)
   {
      %track2 = "Cyberntx";
   }
   %random3 = randomInt(1,11);
   if(%random3 == 1)
   {
      %track3 = "Yougot";
   }
   else if(%random3 == 2)
   {
      %track3 = "NewTech";
   }
   else if(%random3 == 3)
   {
      %track3 = "CloudBurst";
   }
   else if(%random3 == 4)
   {
      %track3 = "SS4";
   }
   else if(%random3 == 5)
   {
      %track3 = "Purge";
   }
   else if(%random3 == 6)
   {
      %track3 = "Mechsoul";
   }
   else if(%random3 == 7)
   {
      %track3 = "SS3";
   }
   else if(%random3 == 8)
   {
      %track3 = "Watching";
   }
   else if(%random3 == 9)
   {
      %track3 = "Terror";
   }
   else if(%random3 == 10)
   {
      %track3 = "Gnash";
   }
   else if(%random3 == 11)
   {
      %track3 = "Cyberntx";
   }
   cdAudioCycle(%track1, %track2, %track3);
}